Need Berkley DB!!

Thomas Weholt thomas at bibsyst.no
Wed Nov 3 08:18:45 CET 1999


Robin Dunn wrote:

> > After I spent most of my weekend trying to get Berkley DB to work with
> > Python on my Linux ( Suse 6.1) machine, I`ve now given up completly.
> > I`ve tried to install DB.1.85. and DB.2.7.7, neither worked, either
> > crashing under installation ( which of course, is not Python
> > related ) or when I tried to test the installation with the examples in
> > the documentation ( the wrapper for the 2.7.5-module listed at
> > www.python.org, under modules, databases ).
>
> Have you tried my DB module at http://starship.python.net/crew/robind/ ?
> Assuming you can get DB 2.7.x built and installed, this module should do
> what you need.
>

Yes, I`ve tried it and the installation did go smooth, but when I tried to
use the example in the documentation Python barfed some errors at me, then
died with a scream. I can probably recreate the errors and send you a copy
of the output.

I think the problem might be solved if I, sigh, re-install Red Hat 6.1 and
trash that oversized, over-featured Suse 6.2 Linux distro I got now. The Red
Hat version of Python came with all that stuff installed. There`s not enough
hours in a day to keep working on things like this. At least not right now.

Thanks for your interest though.

Best regards,
Thomas Weholt





More information about the Python-list mailing list